// Wire Slave Receiver
// by Nicholas Zambetti <http://www.zambetti.com>

// Demonstrates use of the Wire library
// Receives data as an I2C/TWI slave device
// Refer to the "Wire Master Writer" example for use with this
// Created 29 March 2006
// This example code is in the public domain.
#include <Wire.h>
#define I2C_SLAVE_ADDRESS 0x7 //Set I2C slave address
bool ledState; //Saves the state of the led, true = on and false = off
int led=0; // pin number of the led
void setup() {
  pinMode(led, OUTPUT); //Set pin led as output
  pinMode(9, INPUT_PULLUP); //Set pin 4 (SCL) as input and with internal pull-up
  pinMode(8, INPUT_PULLUP); //Set pin 6 (SDA) as input and with internal pull-up
  Wire.begin(I2C_SLAVE_ADDRESS);                // join i2c bus with address #8
  Wire.onReceive(receiveEvent); // register event
  Serial.begin(9600);           // start serial for output
}
void loop() {
  if(ledState==true){ //If ledState is true then blink the led
    digitalWrite(led,LOW);//Write 5V to pin led
    delay(200); 
    digitalWrite(led,HIGH);//Write 0V to pin led
    delay(200);
  }else{  ////If ledState is false then turn off the led
    digitalWrite(led,HIGH); //Write 0V to pin led
  }
  delay(100);
}
// function that executes whenever data is received from master
// this function is registered as an event, see setup()
void receiveEvent() {
  byte recivedData=0;
  if(Wire.available()){
    recivedData=Wire.read();
    if(recivedData==1){ //If the master sends "1", it changes the value of the ledState variable to true
       ledState=true;      
    }else if(recivedData==0){
      ledState=false;
    }
  }
}
